%define name    ams
%define version 1.8.0
%define release 1

%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)

Summary:      Realtime modular synthesizer
Name:         %{name}
Version:      %{version}
Release:      %{release}
URL:          http://alsamodular.sourceforge.net
Source0:      %{name}-%{version}.tar.bz2
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-root
Requires:     jack-audio-connection-kit >= 0.66.3
Requires:     qt >= 3.1
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

BuildRequires: gcc-c++ alsa-lib-devel fftw-devel
BuildRequires: jack-audio-connection-kit-devel ladspa-devel qt-devel

%description
AlsaModularSynth is a realtime modular synthesizer and effect
processor. It features MIDI controlled modular software synthesis,
realtime effect processing with capture, full control of all synthesis
and effect parameters via MIDI, integrated LADSPA Browser with search
capability and JACK Support.

%prep
%setup -q

%build
if [ -e /usr/lib/qt-3.1 ] ; then
    perl -p -i -e "s,/usr/lib/qt3,/usr/lib/qt-3.1,g" Makefile
    perl -p -i -e "s,-lqt-mt,-lqt-mt -lqassistantclient,g" Makefile
fi
if [ -e /usr/lib/qt-3.3 ] ; then
    perl -p -i -e "s,/usr/lib/qt3,/usr/lib/qt-3.3,g" Makefile
    perl -p -i -e "s,-lqt-mt,-lqt-mt -lqassistantclient,g" Makefile
fi
# insert defines for old alsa api
INCLUDEFILES=`find . -type f -exec grep -q asoundlib {} \; -print`
for INCFILE in ${INCLUDEFILES} ; do
    perl -p -i -e 's|#include <alsa/asoundlib.h>|#define ALSA_PCM_OLD_HW_PARAMS_API\n#define ALSA_PCM_OLD_SW_PARAMS_API\n#include <alsa/asoundlib.h>|g' ${INCFILE}
done

make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ams
install -m 0755 ams $RPM_BUILD_ROOT%{_bindir}
for dir in demos instruments tutorial ; do
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/ams/$dir
    install -m 644 $dir/*.ams $RPM_BUILD_ROOT%{_datadir}/ams/$dir
done

cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Alsa Modular Synth
Comment=Real time MIDI controller synthesizer
Icon=
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README LICENSE THANKS demos instruments tutorial
%{_bindir}/ams
%{_datadir}/ams
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%else
%attr(644,root,root) %{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Thu Apr 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.8.0-1
- updated to 1.8.0
* Tue Mar  2 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.7.6-1
- updated to 1.7.6
* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.7.5-1
- updated to 1.7.5
* Wed Jan 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.7.2-1
- updated to 1.7.2
* Wed Dec 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.7.1-1
- updated to 1.7.1
* Wed Nov 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.6.0-1
- spec file tweaks
- add patch0 to enable old alsa api
* Tue Nov  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.6.0-1
- updated to 1.6.0
* Thu Aug 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.12-1
- updated to 1.5.12
- adjusted name of makefile, minor doc file list changes
* Mon Aug 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.11-1
- updated to 1.5.11, added version tags
* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.10-1
- updated to 1.5.10
* Wed May 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.9-1
- updated to 1.5.9
* Tue May 20 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.8b-3
- rebuild for newer version qt (3.1.1), added explicit dependency
* Tue Apr  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.8b-2
- rebuilt for newer version of fftw
* Sat Apr  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.8b-1
- added support for qt 3.1
* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.8b-1
- updated to 1.5.8b
- rebuild for jack 0.66.3, added explicit requires for it
* Tue Dec 31 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.5-1
- updated to 1.5.5, added menu entry, updated description
* Mon Dec  9 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.4-2
- added patch to synth.cpp (lockups)
* Wed Dec 04 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.4
- updated to 1.5.4
* Tue Nov 12 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.3c-1
- updated to 1.5.3c
* Mon Nov 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.5.3b-1
- updated to 1.5.3b
* Fri Oct 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- Initial build.
